org.apache.maven.cli

## Class AbstractConsoleDownloadMonitor

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.cli.AbstractConsoleDownloadMonitor

Direct Known Subclasses:
  BatchModeDownloadMonitor, ConsoleDownloadMonitor

    public abstract class AbstractConsoleDownloadMonitor
    extends AbstractLogEnabled

Abstract console download progress meter.

Since:
  2.0.5
Version:
  $Id: AbstractConsoleDownloadMonitor.java 747773 2009-02-25 13:35:29Z brett $
Author:
  Carlos Sanchez

### Constructor Summary

Constructors
Constructor and Description
`AbstractConsoleDownloadMonitor()`
`AbstractConsoleDownloadMonitor(Logger logger)`

### Method Summary

Methods
`protected java.lang.String` `createCompletionLine(TransferEvent transferEvent)`
`void` `debug(java.lang.String message)` Do nothing
`void` `transferCompleted(TransferEvent transferEvent)`
`void` `transferError(TransferEvent transferEvent)`
`void` `transferInitiated(TransferEvent transferEvent)`
`void` `transferProgress(TransferEvent transferEvent, byte[] buffer, int length)` Do nothing
`void` `transferStarted(TransferEvent transferEvent)` Do nothing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConsoleDownloadMonitor

    public AbstractConsoleDownloadMonitor()

#### AbstractConsoleDownloadMonitor

    public AbstractConsoleDownloadMonitor(Logger logger)

### Method Detail

#### transferInitiated

    public void transferInitiated(TransferEvent transferEvent)

#### transferStarted

    public void transferStarted(TransferEvent transferEvent)

Do nothing

#### transferProgress

    public void transferProgress(TransferEvent transferEvent,
                        byte[] buffer,
                        int length)

Do nothing

#### transferCompleted

    public void transferCompleted(TransferEvent transferEvent)

#### createCompletionLine

    protected java.lang.String createCompletionLine(TransferEvent transferEvent)

#### transferError

    public void transferError(TransferEvent transferEvent)

#### debug

    public void debug(java.lang.String message)

Do nothing